summaryrefslogtreecommitdiffstats
path: root/debuginfofs.init
diff options
context:
space:
mode:
Diffstat (limited to 'debuginfofs.init')
-rwxr-xr-xdebuginfofs.init8
1 files changed, 4 insertions, 4 deletions
diff --git a/debuginfofs.init b/debuginfofs.init
index 846d9db..88dbbd1 100755
--- a/debuginfofs.init
+++ b/debuginfofs.init
@@ -35,14 +35,14 @@ start() {
[ ${NETWORKING} = "no" ] && exit 1
# Sanity check binary and configuration
- [ -x /usr/bin/wdfs ] || exit 1
+ [ -x /usr/sbin/mount.davfs ] || exit 1
[ -n "$BUILDID_URL" ] || exit 1
[ -n "$BUILDID_MOUNTPOINT" ] || exit 1
[ -d "$BUILDID_MOUNTPOINT" ] || mkdir -p "$BUILDID_MOUNTPOINT"
echo -n $"Starting debuginfofs: "
- wdfs "$BUILDID_URL" "$BUILDID_MOUNTPOINT" -o allow_other -o nonempty \
- -o intr $BUILDID_ARGS
+ mount -t davfs "$BUILDID_URL" "$BUILDID_MOUNTPOINT" \
+ -o ro,conf=/etc/davfs2/debuginfo.conf $MOUNT_ARGS
RETVAL=$?
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/debuginfofs
@@ -53,7 +53,7 @@ start() {
stop() {
echo -n $"Stopping debuginfofs: "
- fusermount -u "$BUILDID_MOUNTPOINT"
+ umount "$BUILDID_MOUNTPOINT"
RETVAL=$?
rm -f /var/lock/subsys/debuginfofs
[ $RETVAL -eq 0 ] && success $"$prog shutdown" || failure $"$prog shutdown"